package data

import (
	"reflect"

	"git.loafle.net/loafer/annotation-go"
)

var EntityAnnotationType = reflect.TypeOf((*EntityAnnotation)(nil))

func init() {
	if err := annotation.Register(EntityAnnotationType); nil != err {
		panic(err)
	}
}

type EntityAnnotation struct {
	annotation.TypeAnnotation `@annotation:"@data:Entity"`

	Name     string `json:"name"`
	Engine   string `json:"engine"`
	Database string `json:"database"`
	Schema   string `json:"schema"`
}
