package server

import (
	"reflect"

	"git.loafle.net/loafer/annotation-go"
	"git.loafle.net/loafer/di-go"

	// For annotation
	_ "git.loafle.net/totopia/server/pkg/loafer/app/annotation"

	// For user
	_ "git.loafle.net/totopia/server/pkg/modules/user"
)

var ServerType = reflect.TypeOf((*Server)(nil))

func init() {
	if err := di.RegisterType(ServerType); nil != err {
		panic(err)
	}
}

type Server struct {
	annotation.TypeAnnotation `annotation:"@app:Server(\"httpPort\": 8080) @web:Pgx(\"host\": \"localhost\", \"port\": 54320, \"database\": \"totopia\", \"user\": \"totopia\", \"password\": \"totopia\", \"sslMode\": false)"`
}
